> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a table reference

> Returns a single table reference document.

Access requires read permission on the document the reference belongs to.



## OpenAPI

````yaml get /table/reference/{referenceId}
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /table/reference/{referenceId}:
    get:
      tags:
        - Tables
      summary: Retrieve a table reference
      description: >-
        Returns a single table reference document.


        Access requires read permission on the document the reference belongs
        to.
      operationId: getTableReferenceById
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: referenceId
          in: path
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      _id:
                        type: string
                      originId:
                        type: string
                      documentId:
                        type: string
                      workspaceId:
                        type: string
                      tableId:
                        type: string
                      columnId:
                        type: string
                      relatedRowId:
                        type:
                          - string
                          - 'null'
                      rowId:
                        type:
                          - string
                          - 'null'
                      oneToManyColumnId:
                        type:
                          - string
                          - 'null'
                      oneToManyInstanceIds:
                        type: array
                        items:
                          type: string
                      columnName:
                        type: string
                      tableName:
                        type: string
                      type:
                        type: string
                        enum:
                          - relation
                          - reference
                          - global
                      createdAt:
                        type: number
                      updatedAt:
                        type: number
                    required:
                      - _id
                      - documentId
                      - workspaceId
                      - tableId
                      - columnId
                      - relatedRowId
                      - columnName
                      - tableName
                      - type
                      - createdAt
                      - updatedAt
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '404':
          description: 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````